#
# spec file for package glib2 (Version 2.8.6)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gtkdoc gzip info insserv iso_ent klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libxml2 libxslt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client opensp openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           glib2
BuildRequires:  gtkdoc pkgconfig
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
License:        LGPL v2.1 or later
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Requires:       gnome-filesystem
Version:        2.8.6
Release:        0.13
Summary:        A Library with Convenient Functions Written in C
Url:            http://www.gtk.org/
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/glib/2.8/glib-%{version}.tar.bz2
Source1:        glib2.sh
Source2:        glib2.csh
Patch1:         glib-strict-aliasing.patch
Patch2:         glib-mkinstalldirs.patch
Patch4:         glib-aclocal.patch
Patch5:         glib-atomic.patch
Patch6:         glib-strict-aliasing-macros.patch
Patch7:         glib-explicit-cast.patch
Patch8:         bnc-350635.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define with_gtkdoc 0

%description
This library provides convenient functions, such as lists and hashes,
to a C programmer and is used by Gtk+ and GNOME.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%debug_package
%package devel
License:        LGPL v2.1 or later
Provides:       glib2dev
Requires:       glib2 = %version pkgconfig glibc-devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/C and C++
AutoReqProv:    on

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%package doc
License:        LGPL v2.1 or later
Provides:       glib2doc
Summary:        A C Library with Convenience Functions
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Requires:       gnome-filesystem

%description doc
This library provides convenient functions, such as lists and hashes,
to a C programmer, and is used by Gtk+ and GNOME.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%prep
%setup -q -n glib-%{version}
%patch1
%patch2
%patch4
%patch5
%patch6
%patch7
%patch8 -p2 

%build
# %{?suse_update_config:%{suse_update_config -f}}
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix}	\
	--libdir=%{prefix}/%_lib\
	--mandir=%{prefix}/share/man\
	--enable-static		\
	--disable-visibility \
	%if %{with_gtkdoc}
	    --enable-gtk-doc
	%else
	    --disable-gtk-doc
	%endif
make %{?jobs:-j%jobs}

%install
rm -rf $RPM_BUILD_ROOT
export LIBRARY_PATH=$RPM_BUILD_ROOT/opt/gnome/lib
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cp -a %{S:1} $RPM_BUILD_ROOT/etc/profile.d/zzz-glib2.sh
cp -a %{S:2} $RPM_BUILD_ROOT/etc/profile.d/zzz-glib2.csh
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
rm -rfv $RPM_BUILD_ROOT%{prefix}/share/locale/no
%find_lang glib20

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %files -f glib20.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog 
%{prefix}/%_lib/lib*.so.*
/etc/profile.d/zzz-glib2.*

%files devel
%defattr(-,root,root)
%{prefix}/%_lib/lib*.so
%{prefix}/%_lib/lib*.*a
%{prefix}/%_lib/glib-2.0
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/include/glib-2.0
%{prefix}/share/aclocal/*
%{prefix}/share/glib-2.0
%{prefix}/bin/*
%doc %{prefix}/share/man/man*/*

%files doc
%defattr(-,root,root)
%{prefix}/share/gtk-doc/html/glib
%{prefix}/share/gtk-doc/html/gobject

%changelog
* Tue Jan 29 2008 - mauro@suse.de
- Added patch bnc-350635.patch to fix bgo 500638 - gkeyfile speedup.
* Wed Dec 06 2006 - jhargadon@suse.de
- update to version 2.8.6  (fate#300419)
- Fix a problem with g_object_compat_control()
  which can lead to segfaults in GTK+ applications
  on 64bit platforms.
-  Fix a memory allocation problem in GKeyFile.
- New and updated translations (ca,ja,ml,sv,zh_HK,zh_TW)
* Tue Jun 06 2006 - sbrabec@suse.cz
- Fixed locale detection in profile scripts (#180613):
  * Fixed invalid charset typos.
  * Added support for Persian, Armenian and Khmer.
  * Added ISO-8859-1 fallback where applicable.
* Thu Mar 30 2006 - sbrabec@suse.cz
- Renamed profile to be executed after lang.*, otherwise
  G_FILENAME_ENCODING cannot be set.
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - gekker@suse.de
- Fix gstaticmutex define (#141215 patch byjblunck)
* Tue Jan 17 2006 - zsu@suse.de
- Fixed implicit cast issue introduced by bugfix #316221
  http://bugzilla.gnome.org/show_bug.cgi?id=327022
* Fri Jan 13 2006 - sbrabec@suse.cz
- Updated to version 2.8.5.
* Mon Jan 02 2006 - sbrabec@suse.cz
- Fixed Aragonese support in profile scripts.
* Fri Nov 18 2005 - sbrabec@suse.cz
- Updated to version 2.8.4.
* Mon Nov 14 2005 - sbrabec@suse.cz
- Fixed strict aliasing problems in macros.
  http://bugzilla.gnome.org/show_bug.cgi?id=316221
* Fri Nov 04 2005 - schwab@suse.de
- Fix use of atomic builtins.
* Tue Oct 11 2005 - gekker@suse.de
-  Update to version 2.8.3
* Wed Sep 28 2005 - gekker@suse.de
- Update to version 2.8.2
- Add -fno-strict-aliasing to CFLAGS
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.8.1
* Mon Aug 15 2005 - rodrigo@suse.de
- Update to version 2.8.0
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 2.7.7
* Mon Aug 01 2005 - gekker@suse.de
- Update to version 2.7.4
* Thu Jul 21 2005 - gekker@suse.de
- Update to version 2.7.2
* Thu Jun 23 2005 - sbrabec@suse.cz
- Fixed devel dependencies.
* Fri Jun 17 2005 - gekker@suse.de
- Update to version 2.7.0.
- Fix SENTINEL patch to work with upstream version.
* Tue Jun 07 2005 - gekker@suse.de
- Update to version 2.6.4.
* Tue May 31 2005 - schwab@suse.de
- Build in parallel.
- Use autoreconf.
* Wed Apr 06 2005 - schwab@suse.de
- Cleanup neededforbuild.
* Wed Apr 06 2005 - meissner@suse.de
- Added gettext-devel to neededforbuild.
* Fri Apr 01 2005 - meissner@suse.de
- disable visibility hackery to build with gcc4.
* Wed Mar 02 2005 - gekker@suse.de
- Updated to version 2.6.3.
* Mon Feb 07 2005 - sbrabec@suse.cz
- Updated to version 2.6.2.
* Thu Jan 20 2005 - meissner@suse.de
- define G_GNUC_SENTINEL for gcc >= 4
- specify G_GNUC_SENTINEL where applicable.
* Sun Jan 16 2005 - clahey@suse.de
- Updated to version 2.6.1.
* Mon Jan 03 2005 - gekker@suse.de
- Update to version 2.6.0
* Wed Dec 22 2004 - ro@suse.de
- remove no translation (obsolete with nb present)
* Wed Dec 15 2004 - gekker@suse.de
- Update version to 2.5.7.
- Remove the no-no patch, as it is upstreamed.
* Tue Nov 16 2004 - clahey@suse.de
- Update to glib 2.5.6.
* Tue Oct 19 2004 - ro@suse.de
- remove no locale support: nb is already there
* Tue Oct 12 2004 - sbrabec@suse.cz
- Require gnome-filesystem (#47068).
* Wed Sep 29 2004 - sbrabec@suse.cz
- Fixed glib2.csh for unset LANG (#46282).
* Wed Aug 25 2004 - federico@ximian.com
- Update to glib 2.4.5
- Removed glib-pattern.diff, as this bug is fixed in the tarball.
* Wed Aug 25 2004 - kukuk@suse.de
- Avoid /bin/sh as PreRequire
* Tue Jul 06 2004 - coolo@suse.de
- glib2-devel requires the very same version of glib2
* Tue Jun 22 2004 - sbrabec@suse.cz
- glib2.sh, glib2.csh: G_FILENAME_ENCODING must be comma separated.
* Tue Jun 08 2004 - sbrabec@suse.cz
- Fixed glib2.csh (#41665).
* Wed May 05 2004 - sbrabec@suse.cz
- Added pkgconfig to requirement of glib2-devel (#37628).
* Mon Apr 19 2004 - sbrabec@suse.cz
- Fix of strict aliasing fix.
* Mon Apr 19 2004 - sbrabec@suse.cz
- Fixed strict aliasing.
* Thu Apr 15 2004 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.6).
- Removed gconvert-errno-altering.patch - this one was not accepted for
  mainstream but strerror() errno altering was fixed.
- Added filename encoding guesser to /etc/profile.d/glib2.*.
* Mon Mar 22 2004 - sbrabec@suse.cz
- Removed references to mkinstalldirs in glib-gettextize (#36621).
* Wed Mar 17 2004 - sbrabec@suse.cz
- Use -fno-strict-aliasing.
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed %%doc attributes (#33163).
* Fri Jan 09 2004 - schwab@suse.de
- Fix quoting in autoconf macros.
* Fri Oct 17 2003 - adrian@suse.de
- fix missing %%run_ldconfig
- build as user
* Wed Sep 24 2003 - sbrabec@suse.cz
- Added errno save patches (g_strerror(errno) alters errno).
  Fixes more issues, at least:
  http://bugzilla.gnome.org/show_bug.cgi?id=116617
  http://bugzilla.gnome.org/show_bug.cgi?id=122939
  http://bugzilla.gnome.org/show_bug.cgi?id=123040
* Mon Sep 15 2003 - sf@suse.de
- remove debug flags, add -O2 again
* Thu Sep 11 2003 - sf@suse.de
- fix segfault in eog on AMD64 [bug 30483]
* Thu Aug 28 2003 - sbrabec@suse.cz
- Updated to version 2.2.3.
* Tue Jul 15 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
- Profile files modified.
* Wed Jun 11 2003 - sbrabec@suse.cz
- Updated to version 2.2.2.
- Require gnome-filesystem for glib2-doc.
- Updated neededforbuild.
* Tue Mar 11 2003 - olh@suse.de
- provide static glib version (#24897)
* Mon Feb 03 2003 - hhetter@suse.de
- updated to version 2.2.1, from changes:
  * Win32
	  - Improve handling of stderr/stdout
	  - Install .def files
 	  - Fix quoting for GSpawn
	  - Miscellaneous bug fixes
  * configure fixes
  * New and updated translations
* Fri Jan 10 2003 - sbrabec@suse.cz
- Branched glib2-doc.
* Thu Jan 09 2003 - sbrabec@suse.cz
- Updated to version 2.2.0.
- Updated %%files.
* Tue Nov 05 2002 - hhetter@suse.de
- updated to version 2.0.7, bugfix release:
  * Fix C++ warnings in gtype.h
  * Fix g_type_fundamental_next()
  * Fix various missing includes of config.h
  * Handle main loop initialization before g_thread_init
  * Various 64-bit fixes
  * Fix GPoll on Win32
  * Fix bug with buffering on UTF-8 IOChannels
  * Misc bug and build fixes
  * Updated and new translations (be,cs,de,fa,it,lv,pt_BR,tr)
* Tue Aug 13 2002 - hhetter@suse.de
- gtk-doc usage conditional
* Tue Aug 13 2002 - hhetter@suse.de
- correct URL and Source tag in specfile (#17638)
* Thu Aug 08 2002 - hhetter@suse.de
- devel package requires glib2
* Mon Aug 05 2002 - hhetter@suse.de
- updated to version 2.0.6, fron changes:
  * Fix problem with interface prerequisites
  * Clean up debug spew from GObject
  * Compiler warning fixes
  * Fix some problems with g_build_path()
  * Fixes for --disable-debug
  * Threading fixes
  * Documentation fixes
  * Misc bug fixes
  * Updated translations (bg,ko,vi)
* Mon Jun 17 2002 - jordi@suse.de
- Updated to version 2.0.4
  * Fix some 64-bit problems
  * Add note about Tru64 iconv to INSTALL
  * Fix problem with timouts > MAXINT
  * Updated translations
* Fri Jun 14 2002 - ro@suse.de
- add gnome2.{sh,csh} to have /opt/gnome2/bin first in PATH
  on 7.3 and older distros
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 2.0.3
* Thu Apr 25 2002 - meissner@suse.de
- fixed %%_lib issues.
* Tue Apr 09 2002 - schwab@suse.de
- Fix missing includes.
* Mon Apr 08 2002 - hhetter@suse.de
- updated to version 2.0.1
* Thu Jan 31 2002 - hhetter@suse.de
- updated to version 1.3.13 [GNOME desktop alpha2]
* Fri Jan 11 2002 - hhetter@suse.de
- updated to version 1.3.12
* Tue Dec 11 2001 - ro@suse.de
- export LIBRARY_PATH for broken libtool
* Tue Nov 27 2001 - hhetter@suse.de
- updated to version 1.3.11, changes include:
  * Win32 fixes
  * Documentation improvements
  * Portable directory handling API
  * Threading fixes
  * Fix excess relocations in Unicode tables
  * Fix gpattern for UTF-8
  * Support overriding class closures
  * Support for derivation from G_TYPE_POINTER
  * Hide pointers to type information inside GType to reduce locking
  * Adds check for direct inclusion of gobject/*.h
  * GObject API cleanups
* Tue Nov 20 2001 - ro@suse.de
- really build libgmodule, libgobject and libgthread
* Thu Nov 15 2001 - hhetter@suse.de
- fixed build to provide libgmodule and libgobject
* Tue Nov 13 2001 - hhetter@suse.de
- updated to version 1.3.10
* Mon Oct 01 2001 - hhetter@suse.de
- initial SuSE release for GNOME 2.0 platform
